package com.ruoyi.system.service.projectV2;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.projectV2.ZsyzSbbzb;

import java.util.List;

/**
 * 招商引资_申报_首谈信息_主Service接口
 * 
 * @author boman
 * @date 2023-02-23
 */
public interface IZsyzSbbzbService 
{
    /**
     * 查询招商引资_申报_首谈信息_主
     * 
     * @param id 招商引资_申报_首谈信息_主ID
     * @return 招商引资_申报_首谈信息_主
     */
    public ZsyzSbbzb selectZsyzSbbzbById(Long id);

    /**
     * 查询招商引资_申报_首谈信息_主列表
     * 
     * @param zsyzSbbzb 招商引资_申报_首谈信息_主
     * @return 招商引资_申报_首谈信息_主集合
     */
    public List<ZsyzSbbzb> selectZsyzSbbzbList(ZsyzSbbzb zsyzSbbzb);
    /**
     * 查询招商引资_申报_首谈信息_主列表_招商引资单位单独列表
     */
    public List<ZsyzSbbzb> selectZsyzSbbzbListYz(ZsyzSbbzb zsyzSbbzb);

    /**
     * 新增招商引资_申报_首谈信息_主
     * 
     * @param zsyzSbbzb 招商引资_申报_首谈信息_主
     * @return 结果
     */
    public int insertZsyzSbbzb(ZsyzSbbzb zsyzSbbzb);

    /**
     * 修改招商引资_申报_首谈信息_主
     * 
     * @param zsyzSbbzb 招商引资_申报_首谈信息_主
     * @return 结果
     */
    public int updateZsyzSbbzb(ZsyzSbbzb zsyzSbbzb);
    //专班跟进
    public int updateZsyzSbbzbMeet(ZsyzSbbzb zsyzSbbzb);

    //更新承接地信息
    public int updateZsyzSbbzbCjd(ZsyzSbbzb zsyzSbbzb);

    //线索暂存/终止
    public int updateZsyzSbbzbForZc(ZsyzSbbzb zsyzSbbzb);

    /**
     * 批量删除招商引资_申报_首谈信息_主
     * 
     * @param ids 需要删除的招商引资_申报_首谈信息_主ID
     * @return 结果
     */
    public int deleteZsyzSbbzbByIds(Long[] ids);

    /**
     * 删除招商引资_申报_首谈信息_主信息
     * 
     * @param id 招商引资_申报_首谈信息_主ID
     * @return 结果
     */
    public int deleteZsyzSbbzbById(Long id);

    List<ZsyzSbbzb> selectZsyzSbbzbListDc(ZsyzSbbzb zsyzSbbzb);

    List<ZsyzSbbzb> ldpsList(ZsyzSbbzb zsyzSbbzb);


    long selectZsyzSbbzbListCount(ZsyzSbbzb zsyzSbbzb);

    /**
     *通过企查查,查询企业信息
     * @param searchKey
     * @return
     */
    AjaxResult qichachaSearch(String searchKey);
}
